# Account Custom Nameservers ## List Account Custom Nameservers `client.customNameservers.get(CustomNameserverGetParamsparams, RequestOptionsoptions?): SinglePage` **get** `/accounts/{account_id}/custom_ns` List an account's custom nameservers. ### Parameters - `params: CustomNameserverGetParams` - `account_id: string` Account identifier tag. ### Returns - `CustomNameserver` A single account custom nameserver. - `dns_records: Array` A and AAAA records associated with the nameserver. - `type?: "A" | "AAAA"` DNS record type. - `"A"` - `"AAAA"` - `value?: string` DNS record contents (an IPv4 or IPv6 address). - `ns_name: string` The FQDN of the name server. - `status: "moved" | "pending" | "verified"` Verification status of the nameserver. - `"moved"` - `"pending"` - `"verified"` - `zone_tag: string` Identifier. - `ns_set?: number` The number of the set that this name server belongs to. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const customNameserver of client.customNameservers.get({ account_id: '372e67954025e0ba6aaa6d586b9e0b59', })) { console.log(customNameserver.dns_records); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "dns_records": [ { "type": "A", "value": "1.1.1.1" } ], "ns_name": "ns1.example.com", "status": "verified", "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353", "ns_set": 1 } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ``` ## Add Account Custom Nameserver `client.customNameservers.create(CustomNameserverCreateParamsparams, RequestOptionsoptions?): CustomNameserver` **post** `/accounts/{account_id}/custom_ns` Add Account Custom Nameserver ### Parameters - `params: CustomNameserverCreateParams` - `account_id: string` Path param: Account identifier tag. - `ns_name: string` Body param: The FQDN of the name server. - `ns_set?: number` Body param: The number of the set that this name server belongs to. ### Returns - `CustomNameserver` A single account custom nameserver. - `dns_records: Array` A and AAAA records associated with the nameserver. - `type?: "A" | "AAAA"` DNS record type. - `"A"` - `"AAAA"` - `value?: string` DNS record contents (an IPv4 or IPv6 address). - `ns_name: string` The FQDN of the name server. - `status: "moved" | "pending" | "verified"` Verification status of the nameserver. - `"moved"` - `"pending"` - `"verified"` - `zone_tag: string` Identifier. - `ns_set?: number` The number of the set that this name server belongs to. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const customNameserver = await client.customNameservers.create({ account_id: '372e67954025e0ba6aaa6d586b9e0b59', ns_name: 'ns1.example.com', }); console.log(customNameserver.dns_records); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "dns_records": [ { "type": "A", "value": "1.1.1.1" } ], "ns_name": "ns1.example.com", "status": "verified", "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353", "ns_set": 1 } } ``` ## Delete Account Custom Nameserver `client.customNameservers.delete(stringcustomNSId, CustomNameserverDeleteParamsparams, RequestOptionsoptions?): SinglePage` **delete** `/accounts/{account_id}/custom_ns/{custom_ns_id}` Delete Account Custom Nameserver ### Parameters - `customNSId: string` The FQDN of the name server. - `params: CustomNameserverDeleteParams` - `account_id: string` Account identifier tag. ### Returns - `CustomNameserverDeleteResponse = string` Unused ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const customNameserverDeleteResponse of client.customNameservers.delete( 'ns1.example.com', { account_id: '372e67954025e0ba6aaa6d586b9e0b59' }, )) { console.log(customNameserverDeleteResponse); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ``` ## Domain Types ### Custom Nameserver - `CustomNameserver` A single account custom nameserver. - `dns_records: Array` A and AAAA records associated with the nameserver. - `type?: "A" | "AAAA"` DNS record type. - `"A"` - `"AAAA"` - `value?: string` DNS record contents (an IPv4 or IPv6 address). - `ns_name: string` The FQDN of the name server. - `status: "moved" | "pending" | "verified"` Verification status of the nameserver. - `"moved"` - `"pending"` - `"verified"` - `zone_tag: string` Identifier. - `ns_set?: number` The number of the set that this name server belongs to. ### Custom Nameserver Delete Response - `CustomNameserverDeleteResponse = string` Unused